Loading...
Searching...
No Matches
cgal_kernel.h File Reference

Go to the source code of this file.

## Classes

class | MySegmentC2< R_ >
class | MyConstruct_bbox_2< ConstructBbox_2 >
class | MyConstruct_coord_iterator< T >
class | MyConstruct_point_2< K, OldK >
class | my_cartesian2d_base< NewKernel, BaseKernel >
struct | my_cartesian2d_base< NewKernel, BaseKernel >::Base< Kernel2 >
struct | kernel_2d< FT_ >
class | my_cartesian3d_base< NewKernel, BaseKernel >
struct | my_cartesian3d_base< NewKernel, BaseKernel >::Base< Kernel2 >
struct | kernel_3d< FT_ >

## Namespaces

namespace | rheolef
| This file is part of Rheolef.
namespace | rheolef::custom_cgal

## Macros

#define | CGAL_HAS_NO_THREADS

## Functions

template<class R >
std::ostream & | operator<< (std::ostream &os, const MySegmentC2< R > &s)
template<class R >
std::istream & | operator>> (std::istream &is, MySegmentC2< R > &s)

## Macro Definition Documentation

## CGAL_HAS_NO_THREADS

#define CGAL_HAS_NO_THREADS

This file is part of Rheolef.

Copyright (C) 2000-2009 Pierre Saramito Pierr.nosp@m.e.Sa.nosp@m.ramit.nosp@m.o@im.nosp@m.ag.fr

Rheolef is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

Rheolef is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with Rheolef; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

Definition at line 39 of file cgal_kernel.h.